<?php

/* DCMS Special
 * Дата последнего редактирования 26.09.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Блоги - Поиск по меткам'); // заголовок страницы
require_once H . 'sys/inc/thead.php';

$tag = NULL;
if (isset($_SESSION['tag'])) {
    $tag = $_SESSION['tag'];
}
if (isset($_GET['tag'])) {
    $tag = esc(urldecode($_GET['tag']));
}
$_SESSION['tag'] = $tag;

$tag = preg_replace("#( ){2,}#", " ", $tag);
$tag = preg_replace("#^( ){1,}|( ){1,}$#", "", $tag);

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/diary/'>" . lang('Блоги') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Поиск по меткам');
echo "</small></div><br />";

if ($tag != NULL) {

    $q_tag = str_replace('%', '', $tag);
    $q_tag = str_replace(' ', '%', $q_tag);
    $q_tag = str_replace(',', '%', $q_tag);
    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `diary` WHERE `tags` like '%" . mysql_real_escape_string($q_tag) . "%'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    if ($k_post == 0) {
        $doc->NoResult();
    }
    $q = mysql_query("SELECT * FROM `diary` WHERE `tags` like '%" . mysql_real_escape_string($q_tag) . "%' ORDER BY `id` DESC LIMIT $start, $set[p_str]");

    while ($post = mysql_fetch_assoc($q)) {
        $us = get_user($post['id_user']);
        $post['tags'] = str_replace("$tag", "<span style='color:red'>$tag</span>", $post['tags']);

        echo '<div class="list-group-item-null">';
        echo "<a href='/modules/diary/$post[name]/'><i class='fa fa-book fa-fw'></i> $post[name]</a> <small style='color: grey;'>" . date::time($post['time']) . "</small><br />";

        echo '<i class="fa fa-eye fa-fw"></i> Просмотров: ' . $post['viewings'] . ' | ';
        echo '<i class="fa fa-star fa-fw"></i> Рейтинг: ' . $post['rating'] . '<br/>';
        echo '<i class="fa fa-tags fa-fw"></i> Метки: ' . $post['tags'] . '';

        echo '</div>';
        echo "<div class='hr'></div>";
    }

    if ($k_page > 1) {
        str("?", $k_page, $page);
    }
} else {
    echo '<div class="list-group-item-null list-group-item-grey">';
    echo 'Введите метку для поиска<br/>';
    echo '</div>';
}

echo '<form method="get" action="?" class="list-group-item-null">';
$tag = stripcslashes(htmlspecialchars($tag));
$doc->Input('tag', 'Метки', 54, "$tag");
echo "<br />";
$doc->Button('btn btn-success btn-sm', null, 'search', 'Поиск');
echo '</form>';

require_once H . 'sys/inc/tfoot.php';
